<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>com.tykj.dev</groupId>
    <artifactId>rfid</artifactId>
    <version>1.0-SNAPSHOT</version>
    <name>rfid</name>
    <description>Demo project for Spring Boot</description>

    <parent>
        <artifactId>equip</artifactId>
        <groupId>com.tykj</groupId>
        <version>1.0-SNAPSHOT</version>
    </parent>

    <dependencies>
        <!--   使用usb接口连接打印机时必要的驱动    -->
        <dependency>
            <groupId>org.usb4java</groupId>
            <artifactId>usb4java</artifactId>
            <version>1.3.0</version>
        </dependency>
        <!--   使用usb接口连接打印机时必要的驱动    -->

        <dependency>
            <groupId>org.usb4java</groupId>
            <artifactId>usb4java-javax</artifactId>
            <version>1.3.0</version>
        </dependency>

        <dependency>
            <groupId>com.zebra</groupId>
            <artifactId>sdk</artifactId>
            <version>1.0.0</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/ZSDK_API.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>com.rfid</groupId>
            <artifactId>sdk</artifactId>
            <version>1.0.0</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/RFID.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>com.rxtx</groupId>
            <artifactId>sdk</artifactId>
            <version>1.0.0</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/RXTXcomm.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>com.seriaPort</groupId>
            <artifactId>sdk</artifactId>
            <version>1.0.0</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/SerialPort.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>com.tykj.dev</groupId>
            <artifactId>config</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>com.tykj.dev</groupId>
                    <artifactId>rfid</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.tykj</groupId>
            <artifactId>dev-user</artifactId>
            <version>1.0-SNAPSHOT</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.tykj</groupId>
            <artifactId>dev-task</artifactId>
            <version>1.0-SNAPSHOT</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.tykj</groupId>
            <artifactId>dev-library</artifactId>
            <version>1.0-SNAPSHOT</version>
            <scope>compile</scope>
        </dependency>

        <dependency>
            <groupId>com.tykj.dev</groupId>
            <artifactId>socket</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>com.tykj.dev</groupId>
            <artifactId>blockcha</artifactId>
        </dependency>
    </dependencies>

</project>
